open-vm-tools 10.1.5

Macros | Functions
vmrpcdbg.c File Reference
`#include <gmodule.h>`
`#include "CUnit/Basic.h"`
`#include <CUnit/CUnit.h>`
`#include "util.h"`
`#include "vmrpcdbgInt.h"`
`#include "vm_version.h"`
`#include "embed_version.h"`
`#include "vmtoolsd_version.h"`

## Macros
#define | G_LOG_DOMAIN "rpcdbg"

## Functions
| VM_EMBED_VERSION (VMTOOLSD_VERSION_STRING)
void | RpcDebug_DecRef (ToolsAppCtx *ctx)
void | RpcDebug_IncRef (void)
RpcDebugLibData * | RpcDebug_Initialize (ToolsAppCtx *ctx, gchar *dbgPlugin)
gboolean | RpcDebug_SendNext (RpcDebugMsgMapping *rpcdata, RpcDebugMsgList *list)
void | RpcDebug_SetResult (const char *str, char **res, size_t *len)

## Detailed Description

Implementation of the library functions not related to the RPC channel.